operation_status will return 471 to signal if your custom audiences have been flagged.operation_status of 471, the effective_status field of the ad set will change to WITH_ISSUES and the issues_info list will be populated with one issue per flagged audience. The fields_violating_integrity_policy field will be populated with the list of flagged fields.fields_violating_integrity_policy field will result in an error.{ "error": { "message": "Invalid parameter", "code": 100, "error_subcode": 1713231, "error_user_title": "Update Restricted Fields and Rule", "error_user_msg": "This custom audience has integrity restrictions. To continue, you must update the restricted fields and the rule in your current edit", }, }
{ "error": { "message": "Invalid parameter", "code": 100, "error_subcode": 1713228, "error_user_title": "Custom Audience Cannot Be Edited", "error_user_msg": "This audience cannot be edited due to integrity restrictions. Please appeal the restrictions or create a new audience", }, }
{ "account_id": "<OWNER_ACCOUNT_ID>", "approximate_count": 5000, "approximate_count_lower_bound": 4900, "approximate_count_upper_bound": 5100, "customer_file_source": "USER_PROVIDED_ONLY", "description": "Audience Description", "fields_violating_integrity_policy": ["<FIELD>", ...], "id": "<CUSTOM_AUDIENCE_ID>", "name": "Audience Name", "operation_status": { "code": 471, "description": "The custom audience or lookalike is blocked because it suggests the use of information (e.g., health, financial) not allowed under Meta's terms, and is restricted from running ads. Review the audience and remove prohibited information, or choose a different one." }, "retention_days": 0, "subtype": "CUSTOM", "time_created": 1755083743, "time_updated": 1755083943, "time_content_updated": 1755083943, "owner_account_info": { "account_id": "<OWNER_ACCOUNT_ID>", "account_name": "Account Name", "business_id": "<OWNER_BUSINESS_ID>", "business_name": "Business Name" }, ... }
tos_accepted field of a given ad account. See Ad Account for more information.curl -G \
-d 'access_token=<ACCESS_TOKEN>' \
https://graph.facebook.com/v25.0/<CUSTOM_AUDIENCE_ID>
| Parameter | Description |
|---|---|
ad_account_idnumeric string |
ID of the recipient ad account in which custom audience is used.
|
special_ad_categorieslist<string> |
special_ad_categories
|
special_ad_category_countrieslist<string> |
special_ad_category_countries
|
| Field | Description |
|---|---|
idnumeric string |
Custom audience ID
default |
account_idnumeric string |
Ad Account ID
|
approximate_count_lower_boundinteger |
Lower bound of the approximate number of people in this audience. A call for this field returns -1 for inactive lookalikes.
|
approximate_count_upper_boundinteger |
Upper bound of the approximate number of people in this audience. A call for this field returns -1 for inactive lookalikes.
|
customer_file_sourcestring |
Source of customer information in the uploaded file
|
JSON dictionary of type, sub_type to indicate by which method the custom audience was created.Note: Subtypes IG_BUSINESS_EVENTS, FB_EVENT_SIGNALS and MULTI_DATA_EVENTS can only be created through Ads Manager, Audience Manager, and not through the API.
| |
delivery_statusCustomAudienceStatus |
JSON dictionary of code and description. It indicates whether or not an audience can be used in ads. Possible values include:
|
descriptionstring |
Custom audience description
|
Read-only JSON dictionary with id keys containing the Pixel ID whose traffic generated this custom audience. Will throw an error if the app making the call lacks the required permissions.
| |
fields_violating_integrity_policylist<string> |
A list of custom audience fields (either name, description or rule) that are flagged for a custom audience that may suggest information not permitted under our terms.
|
is_value_basedbool |
Whether the audience is used to seed value based lookalike
|
lookalike_audience_idslist<numeric string> |
The IDs of the lookalike audiences generated from this audience
|
lookalike_specLookalikeSpec |
Generated only when the subtype is LOOKALIKE. More info at Lookalike Audience |
namestring |
Custom audience name
|
operation_statusCustomAudienceStatus |
JSON dictionary of code to int value and description to a description string. The operation status represents the status of the last operation performed on an audience. In general, it will have following states:
|
opt_out_linkstring |
Your opt-out URL so people can choose not to be targeted
|
permission_for_actionsAudiencePermissionForActions |
JSON dictionary of permissions (string) to boolean value if the
custom audience has that permission
|
pixel_idnumeric string |
ID of the pixel which is collecting events for this Website Custom audience
|
retention_daysint32 |
Number of days to keep the user in this cluster. You can use any value between 1 and 180 days. Defaults to forever, if not specified. Only available for Customer File Custom Audience, including Custom Audiences created from CRM data.
|
rulestring |
Audience rules to be applied on the referrer URL
|
rule_aggregationstring |
Aggregation on top of the rule, examples of aggregations include: count, sum etc
|
sharing_statusCustomAudienceSharingStatus |
Sharing status of this custom audience for the ad account
|
subtypestring |
Type of custom audience, derived from original data source. Note: Subtypes IG_BUSINESS, FB_EVENT, EXPERIMENTAL and MULTI_DATA can only be created through Ads Manager, Audience Manager, and not through the API.
|
time_content_updatedunsigned int32 |
Last update of people in this custom audience,
this field is only supported for Customer List Custom Audiences.
|
time_createdunsigned int32 |
Creation time
|
time_updatedunsigned int32 |
Last time this audience metadata was updated
|
| Edge | Description |
|---|---|
adaccountsEdge<CustomAudienceAdAccount> |
The ad account ids associated with this custom audience
|
adsEdge<Adgroup> |
Ads that are using this custom audience
|
healthEdge<CustomAudienceHealth> |
health
|
sessionsEdge<CustomAudienceSession> |
Data upload sessions of this custom audience
|
shared_account_infoEdge<CustomAudiencesharedAccountInfo> |
List of Ad Accounts and Businesses this Audience is shared to
|
| Error Code | Description |
|---|---|
100 | Invalid parameter |
80003 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#custom-audience. |
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
270 | This Ads API request is not allowed for apps with development access level (Development access is by default for all apps, please request for upgrade). Make sure that the access token belongs to a user that is both admin of the app and admin of the ad account |
2500 | Error parsing graph query |
subtype field for engagement custom audiences is only supported for video.POST /{ad-account-id}/adsets endpoint for iOS 14+ SKAdNetwork campaigns.curl \
-F 'name="My new CA"' \
-F 'subtype=CUSTOM' \
-F 'description="People who bought from my website"' \
-F 'access_token=<ACCESS_TOKEN>' \
https://graph.facebook.com/v25.0/act_<AD_ACCOUNT_ID>/customaudiences
HTTP DELETE call to:
https://graph.facebook.com/v25.0/act_<AD_ACCOUNT_ID>/usersofanyaudience
curl \
-F 'name=Updated Name for CA' \
-F 'access_token=<ACCESS_TOKEN>' \
https://graph.facebook.com/v25.0/<CUSTOM_AUDIENCE_ID>
curl \
-F 'opt_out_link=http://www.yourdomain.com/optout' \
-F 'access_token=<ACCESS_TOKEN>' \
https://graph.facebook.com/v25.0/<CUSTOM_AUDIENCE_ID>
POST /v25.0/<CUSTOM_AUDIENCE_ID>/ HTTP/1.1 Host: graph.facebook.com name=Updated+Name+for+CA
| Parameter | Description |
|---|---|
allowed_domainslist<string> |
A list of domains that the audience is restricted to
|
claim_objectiveenum {AUTOMOTIVE_MODEL, COLLABORATIVE_ADS, HOME_LISTING, MEDIA_TITLE, PRODUCT, TRAVEL, VEHICLE, VEHICLE_OFFER} |
Specifies the objective of audiences with subtype=CLAIM |
content_typeenum {AUTOMOTIVE_MODEL, DESTINATION, FLIGHT, GENERIC, HOME_LISTING, HOTEL, LOCAL_SERVICE_BUSINESS, MEDIA_TITLE, OFFLINE_PRODUCT, PRODUCT, VEHICLE, VEHICLE_OFFER} |
Specifies a mandatory content type for claim_objective: TRAVEL, AUTO_OFFER, HOME_LISTING, VEHICLE.
|
customer_file_sourceenum {USER_PROVIDED_ONLY, PARTNER_PROVIDED_ONLY, BOTH_USER_AND_PARTNER_PROVIDED} |
Source of customer information in the uploaded file
|
descriptionstring |
The description for this custom audience
|
enable_fetch_or_createboolean |
Fetch custom audience instead of create new
one when there exists custom audience with identical name, claim_objective,
content_type, event_source_group/event_sources/sliced_event_source_group,
inclusions, exclusions and rule
|
event_source_groupnumeric string or integer |
Specifies a mandatory content type for claim_objective: TRAVEL, AUTO_OFFER, HOME_LISTING, VEHICLE.
|
event_sourcesarray<JSON object> |
Specifies a mandatory content type for claim_objective: TRAVEL, AUTO_OFFER, HOME_LISTING, VEHICLE.
id int64
id
required type enum {APP, OFFLINE_EVENTS, PAGE, PIXEL}
type
required Show child parameters |
lookalike_specJSON-encoded string |
The specification for creating a
lookalike audience |
namestring |
The name of this custom audience
|
opt_out_linkstring |
Your opt-out URL so people can choose not to be targeted
|
product_set_idnumeric string or integer |
The Product Set to target with this audience
|
rulestring |
Audience rule to be applied on the referrer URL. Used for website custom audiences, product audiences, and video remarketing audiences.
|
rule_aggregationstring |
Aggregation rule
|
use_for_productslist<enum {ADS, MARKETING_MESSAGES}> |
use_for_products
|
use_in_campaignsboolean |
use_in_campaigns
|
Struct {
success: bool,
message: string,
}
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
2650 | Failed to update the custom audience |
80003 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#custom-audience. |
190 | Invalid OAuth 2.0 Access Token |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
DELETE /v25.0/<CUSTOM_AUDIENCE_ID>/ HTTP/1.1 Host: graph.facebook.com
Struct {
success: bool,
}
| Error Code | Description |
|---|---|
200 | Permissions error |
2656 | Failed to delete custom audience because associated lookalikes exist |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
100 | Invalid parameter |
613 | Calls to this api have exceeded the rate limit. |